security/cyrus-sasl - The NetBSD Packages Collection

Simple Authentication and Security Layer

SASL is a method for adding authentication support to connection-based
protocols.  To use SASL, a protocol includes a command for identifying and
authenticating a user to a server and for optionally negotiating protection
of subsequent protocol interactions.  If its use is negotiated, a security
layer is inserted between the protocol and the connection.

This is the Cyrus SASL API implentation. It can be used on the client or
server side to provide authentication. See RFC 2222 for more information.

There's a mailing list for Cyrus SASL.  Subscribe by sending a message
to majordomo@lists.andrew.cmu.edu with the body "subscribe cyrus-sasl".
The mailing list is available via anonymous IMAP at
imap://cyrus.andrew.cmu.edu/archive.cyrus-sasl or via the web at
http://asg.web.cmu.edu/archive/mailbox.php3?mailbox=archive.cyrus-sasl.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfcyrus-sasl-2.1.27nb2.tgz
NetBSD 8.0earmv7hfcyrus-sasl-2.1.27nb1.tgz
NetBSD 8.0earmv7hfcyrus-sasl-2.1.27nb2.tgz
NetBSD 8.0i386cyrus-sasl-2.1.27nb1.tgz
NetBSD 8.0i386cyrus-sasl-2.1.27nb2.tgz
NetBSD 8.0powerpccyrus-sasl-2.1.27nb1.tgz
NetBSD 8.0powerpccyrus-sasl-2.1.27nb2.tgz
NetBSD 8.0powerpccyrus-sasl-2.1.27nb2.tgz
NetBSD 8.0powerpccyrus-sasl-2.1.27nb2.tgz
NetBSD 8.0x86_64cyrus-sasl-2.1.27nb1.tgz
NetBSD 8.0x86_64cyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0aarch64cyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0aarch64cyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0aarch64cyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0alphacyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0alphacyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0alphacyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0earmcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0earmcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0earmcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0earmv6hfcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0earmv6hfcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0earmv6hfcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0earmv7hfcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0earmv7hfcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0earmv7hfcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0earmv7hfcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0i386cyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0i386cyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0i386cyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0m68kcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0m68kcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0m68kcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0m68kcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0mips64ebcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0mips64ebcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0mips64ebcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0mips64ebcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0mips64ebcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0mipselcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0mipselcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0mipselcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0mipselcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0powerpccyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0powerpccyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0powerpccyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0powerpccyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0sh3elcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0sh3elcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0sh3elcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0sh3elcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0sh3elcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0sparc64cyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0sparc64cyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0sparc64cyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0sparccyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0sparccyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0sparccyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0sparccyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0sparccyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0vaxcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0vaxcyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0vaxcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0vaxcyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0x86_64cyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0x86_64cyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0x86_64cyrus-sasl-2.1.27nb1.tgz
NetBSD 9.0x86_64cyrus-sasl-2.1.27nb2.tgz
NetBSD 9.0x86_64cyrus-sasl-2.1.27nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

bdb
Enable Berkeley DB support.
gdbm
Use the GNU gdbm database library.
ndbm
Use New Database Manager (ndbm).

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.